# $Revision: 1.24 $, $Date: 2004/12/10 23:37:14 $
Summary:	ParaGUI - A complete GUI/Windowing system for SDL
Summary(pl):	ParaGUI - kompletne rodowisko okienkowe dla SDL
Name:		paragui
Version:	1.1.8
Release:	1
License:	LGPL
Group:		X11/Libraries
Source0:	http://savannah.nongnu.org/download/paragui/%{name}-%{version}.tar.gz
# Source0-md5:	6741b8f704b47b2c6b62fef29759c89c
Patch0:		%{name}-am18.patch
Patch1:		%{name}-link.patch
Patch2:		%{name}-64bit-workaround.patch
URL:		http://www.paragui.org/
BuildRequires:	SDL-devel >= 1.2.6
BuildRequires:	SDL_image-devel >= 1.2.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	expat-devel
BuildRequires:	freetype-devel >= 2.1.0
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libsigc++12-devel >= 1.2.5
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	physfs-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library is a complete GUI/Windowing system for SDL.

%description -l pl
Kompletne rodowisko okienkowe dla SDL.

%package devel
Summary:	Includes and more to develop SDL GUI applications
Summary(pl):	Pliki nagwkowe dla ParaGUI
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SDL-devel >= 1.2.6
Requires:	expat-devel
Requires:	freetype-devel >= 2.1.0
Requires:	libjpeg-devel
Requires:	libpng-devel
Requires:	libsigc++12-devel >= 1.2.5
Requires:	libtiff-devel
Requires:	physfs-devel

%description devel
Header files for ParaGUI library - a complete GUI/Windowing system for
SDL.

%description devel -l pl
Pliki nagwkowe dla ParaGUI.

%package static
Summary:	Static paragui library
Summary(pl):	Statyczna biblioteka paragui
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of paragui library.

%description static -l pl
Statyczna wersja biblioteki paragui.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%ifarch alpha amd64
%patch2 -p1
%endif

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
cd src/physfs
# only configured, not built (system physfs is used)
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
cd ../..
%configure 
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir} \
	m4datadir=%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README-ParaGUI.txt AUTHORS TODO README
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_datadir}/paragui

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_aclocaldir}/*
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: paragui.spec,v $
Revision 1.24  2004/12/10 23:37:14  adamg
- updated to 1.1.8

Revision 1.23  2004/06/13 21:18:14  averne
- rel 2 for rebuild with new physfs

Revision 1.22  2004/03/13 16:16:35  adamg
- updated to 1.1.7

Revision 1.21  2004/02/28 12:26:35  grzegol
- s/BR: libsigc++-devel/libsigc++12-devel/

Revision 1.20  2004/02/13 09:23:01  qboosh
- updated 64bit-workaround patch, apply it on amd64 too; release 3

Revision 1.19  2004/02/12 23:52:26  qboosh
- added am18,link patches; more deps, -devel deps; release 2

Revision 1.18  2004/02/12 20:18:46  qboosh
- strict internal deps, omit autogenerated symlink

Revision 1.17  2004/02/10 21:03:20  mwinkler
- version 1.1.6

Revision 1.16  2004/02/07 14:40:31  adamg
- updated to 1.0.4
- removed -am patch
- BR: physfs-devel
- regenerate autothingies in src/physfs

Revision 1.15  2003/12/01 00:31:43  undefine
- release 4 to rebuild with ac

Revision 1.14  2003/08/12 22:32:51  ankry
- cosmetics

Revision 1.13  2003/05/26 16:25:39  malekith
- massive attack: adding Source-md5

Revision 1.12  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/01/18 22:54:56  juandon
- removed two lines with define

Revision 1.10  2002/11/25 14:17:49  ankry
- massive attack: no need for 755 for *.la

Revision 1.9  2002/10/09 13:14:42  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.8  2002/08/29 09:07:29  qboosh
- added workaround to allow built on 64-bit archs (gcc 2.95-specific?)
- added -static package, fixed -devel pl descr, BR: expat-devel
- release 3

Revision 1.7  2002/08/26 17:55:26  kloczek
- install pkgconfig and aclocal files in proper path.

Revision 1.6  2002/07/29 07:56:05  qboosh
- prefix=/usr/X11R6, removed %%{_includedir} dir from package
- cosmetics, release 2

Revision 1.5  2002/07/27 11:18:29  kloczek
- cosmetics.

Revision 1.4  2002/07/27 09:18:42  marcus
- addedd pre/post ldconfig

Revision 1.3  2002/07/27 09:11:27  marcus
- fixed ac/am BR

Revision 1.2  2002/07/27 09:07:35  marcus
- adapterized, partially rewritten in PLD style, STBR
